﻿$ErrorActionPreference = 'Stop';

$packageName = 'intellijidea-community'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'https://download.jetbrains.com/idea/ideaIC-2017.2.exe'
$url64       = 'https://download.jetbrains.com/idea/ideaIC-2017.2.exe'

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $toolsDir
  fileType       = 'exe'
  url            = $url
  url64bit       = $url64

  softwareName   = 'IntelliJ IDEA Community Edition 2017.2*'

  checksum       = '92786691721F9D204D1C3D48286DF67AFFE4A46638BB799F3D4036294171DA2E'
  checksumType   = 'sha256'
  checksum64     = '92786691721F9D204D1C3D48286DF67AFFE4A46638BB799F3D4036294171DA2E'
  checksumType64 = 'sha256'

  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs